foundation-0.0.3: Alternative prelude with batteries and no dependencies

Safe Haskell | None
Language | Haskell2010

Foundation.Math.Trigonometry

# Documentation

class Trigonometry a where #

Minimal complete definition

pi, sin, cos, tan, asin, acos, atan, sinh, cosh, tanh, asinh, acosh, atanh

Methods

pi :: a #

sin :: a -> a #

cos :: a -> a #

tan :: a -> a #

asin :: a -> a #

acos :: a -> a #

atan :: a -> a #

sinh :: a -> a #

cosh :: a -> a #

tanh :: a -> a #

asinh :: a -> a #

acosh :: a -> a #

atanh :: a -> a #